So they can run in any POSIX shell, not bash only.
-#!/usr/bin/env bash
+#!/bin/sh
# Add the current ejabberd node in a cluster
# 30 : network issue
# 31 : node names incompatibility
-function error
+error()
{
echo "Error: $1" >&2
exit $2
echo "Using commands:"
[ -x "$CTL" ] && echo $CTL || error "can't find ejabberdctl" 10
-. $CTL stop 2>/dev/null >/dev/null
+$CTL stop 2>/dev/null >/dev/null
ERLC=${ERL}c
[ -x $ERL ] && echo $ERL || error "can't find erl" 11
-#!/usr/bin/env bash
+#!/bin/sh
# Remove the current ejabberd node in a cluster
# 12 : erlc not found
# 22 : temporary dir can not be created
-function error
+error()
{
echo "Error: $1" >&2
exit $2
echo "Using commands:"
[ -x "$CTL" ] && echo $CTL || error "can't find ejabberdctl" 10
-. $CTL stop 2>/dev/null >/dev/null
+$CTL stop 2>/dev/null >/dev/null
ERLC=${ERL}c
[ -x $ERL ] && echo $ERL || error "can't find erl" 11